Get build and Git settings
curl --request GET \
--url https://orbitlab.dev/api/v1/services/{id}/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://orbitlab.dev/api/v1/services/{id}/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orbitlab.dev/api/v1/services/{id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}Services
Get build and Git settings
Requires the owner or admin role in the organization.
CLI: orbitlab settings get [service]
GET
/
v1
/
services
/
{id}
/
settings
Get build and Git settings
Autorisations
bearerAuthsessionCookie
API token (olab_…) created in Settings → API tokens or with orbitlab login.
En-têtes
Organization to act on (id or slug) for tokens that can access several organizations. Defaults to your first organization.
Paramètres de chemin
Service id.
Réponse
repoUrl, rootDir, prodBranch, buildCmd, startCmd, env.
The response is of type object.
Cette page vous a-t-elle été utile ?